package de.tobias.playpad.server.server.project.sync.listener.pad

import java.sql.Connection
import java.util.UUID

import com.google.gson.JsonObject
import de.tobias.playpad.server.account.Session
import de.tobias.playpad.server.server.SqlHelper
import de.tobias.playpad.server.server.project.sync.SyncListener
import de.tobias.playpad.server.server.project.sync.listener.Listener
import de.tobias.playpad.server.sql.SqlDef

/**
 * Created by tobias on 19.02.17.
 */
@SyncListener("pad-rm")
class PadRemoveListener extends Listener {
	override def onChange(json: JsonObject, connection: Connection, session: Session): Unit = {
		val pageId = UUID.fromString(json.get("id").getAsString)

		SqlHelper.delete(connection, SqlDef.PAD, pageId)
	}
}
