package de.tobias.playpad.server.sql.saver

import java.sql.Connection

import de.tobias.playpad.server.model.project.Path
import de.tobias.playpad.server.server.SqlHelper
import de.tobias.playpad.server.sql.SqlDef._

/**
 * Created by tobias on 20.02.17.
 */
class PathSaver(val connection: Connection) {
	def save(path: Path): Unit = {
		SqlHelper.insertOrUpdate(connection, PATH, path.id, PATH_PAD_REF, path.pad.id)
		SqlHelper.insertOrUpdate(connection, PATH, path.id, PATH_NAME, path.filename)

	}
}
